#pragma once

#include "Strings.h"

namespace meshtastic
{
namespace l10n
{

static const char STR_BACK_ZH[] = "\xe8\xbf\x94\xe5\x9b\x9e";
static const char STR_OK_ZH[] = "\xe7\xa1\xae\xe5\xae\x9a";
static const char STR_GOT_IT_ZH[] = "\xe7\x9f\xa5\xe9\x81\x93\xe4\xba\x86";
static const char STR_WELCOME_TO_MESHTASTIC_ZH[] = "\xe6\xac\xa2\xe8\xbf\x8e\xe4\xbd\xbf\xe7\x94\xa8 Meshtastic\xef\xbc\x81";
static const char STR_SWIPE_TO_NAVIGATE_ZH[] = "\xe6\xbb\x91\xe5\x8a\xa8\xe4\xbb\xa5\xe5\xaf\xbc\xe8\x88\xaa\xe3\x80\x82";
static const char STR_CLICK_TO_NAVIGATE_ZH[] = "\xe7\x82\xb9\xe5\x87\xbb\xe4\xbb\xa5\xe5\xaf\xbc\xe8\x88\xaa\xe3\x80\x82";
static const char STR_USE_SELECT_BUTTON_ZH[] = "\xe4\xbd\xbf\xe7\x94\xa8\xe9\x80\x89\xe6\x8b\xa9\xe6\x8c\x89\xe9\x92\xae\xe3\x80\x82";
static const char STR_DEVICE_ROLE_ZH[] = "\xe8\xae\xbe\xe5\xa4\x87\xe8\xa7\x92\xe8\x89\xb2";
static const char STR_RADIO_PRESET_ZH[] = "\xe6\x97\xa0\xe7\xba\xbf\xe9\xa2\x84\xe8\xae\xbe";
static const char STR_FREQUENCY_SLOT_ZH[] = "\xe9\xa2\x91\xe7\x8e\x87\xe6\xa7\xbd\xe4\xbd\x8d";
static const char STR_LORA_REGION_ZH[] = "LoRa \xe5\x9c\xb0\xe5\x8c\xba";
static const char STR_CLIENT_ZH[] = "\xe5\xae\xa2\xe6\x88\xb7\xe7\xab\xaf";
static const char STR_CLIENT_MUTE_ZH[] = "\xe9\x9d\x99\xe9\x9f\xb3\xe5\xae\xa2\xe6\x88\xb7\xe7\xab\xaf";
static const char STR_LOST_AND_FOUND_ZH[] = "\xe5\xa4\xb1\xe7\x89\xa9\xe6\x8b\x9b\xe9\xa2\x86";
static const char STR_TRACKER_ZH[] = "\xe8\xbf\xbd\xe8\xb8\xaa\xe5\x99\xa8";
static const char STR_12HOUR_ZH[] = "12 \xe5\xb0\x8f\xe6\x97\xb6\xe5\x88\xb6";
static const char STR_24HOUR_ZH[] = "24 \xe5\xb0\x8f\xe6\x97\xb6\xe5\x88\xb6";
static const char STR_CLOCK_ACTION_ZH[] = "\xe6\x97\xb6\xe9\x92\x9f\xe6\x93\x8d\xe4\xbd\x9c";
static const char STR_CLOCK_FACE_ZH[] = "\xe6\x97\xb6\xe9\x92\x9f\xe6\xa0\xb7\xe5\xbc\x8f";
static const char STR_TIME_FORMAT_ZH[] = "\xe6\x97\xb6\xe9\x97\xb4\xe6\xa0\xbc\xe5\xbc\x8f";
static const char STR_TIMEZONE_ZH[] = "\xe6\x97\xb6\xe5\x8c\xba";
static const char STR_MESSAGE_ACTION_ZH[] = "\xe6\xb6\x88\xe6\x81\xaf\xe6\x93\x8d\xe4\xbd\x9c";
static const char STR_REPLY_ZH[] = "\xe5\x9b\x9e\xe5\xa4\x8d";
static const char STR_VIEW_CHATS_ZH[] = "\xe6\x9f\xa5\xe7\x9c\x8b\xe8\x81\x8a\xe5\xa4\xa9";
static const char STR_UNMUTE_CHANNEL_ZH[] = "\xe5\x8f\x96\xe6\xb6\x88\xe9\x9d\x99\xe9\x9f\xb3";
static const char STR_MUTE_CHANNEL_ZH[] = "\xe9\x9d\x99\xe9\x9f\xb3\xe9\xa2\x91\xe9\x81\x93";
static const char STR_DELETE_ZH[] = "\xe5\x88\xa0\xe9\x99\xa4";
static const char STR_READ_ALOUD_ZH[] = "\xe5\xa4\xa7\xe5\xa3\xb0\xe6\x9c\x97\xe8\xaf\xbb";
static const char STR_BRIGHTNESS_ZH[] = "\xe4\xba\xae\xe5\xba\xa6";
static const char STR_FRAME_VISIBILITY_ZH[] = "\xe9\xa1\xb5\xe9\x9d\xa2\xe5\x8f\xaf\xe8\xa7\x81\xe6\x80\xa7";
static const char STR_DISPLAY_UNITS_ZH[] = "\xe6\x98\xbe\xe7\xa4\xba\xe5\x8d\x95\xe4\xbd\x8d";
static const char STR_MESSAGE_BUBBLES_ZH[] = "\xe6\xb6\x88\xe6\x81\xaf\xe6\xb0\x94\xe6\xb3\xa1";
static const char STR_THEME_ZH[] = "\xe4\xb8\xbb\xe9\xa2\x98";
static const char STR_REBOOT_ZH[] = "\xe9\x87\x8d\xe5\x90\xaf";
static const char STR_SHUTDOWN_ZH[] = "\xe5\x85\xb3\xe6\x9c\xba";
static const char STR_SWITCH_TO_MUI_ZH[] = "\xe5\x88\x87\xe6\x8d\xa2\xe5\x88\xb0 MUI";
static const char STR_DISPLAY_OPTIONS_ZH[] = "\xe6\x98\xbe\xe7\xa4\xba\xe9\x80\x89\xe9\xa1\xb9";
static const char STR_LANGUAGE_ZH[] = "\xe8\xaf\xad\xe8\xa8\x80";
static const char STR_CHINESE_ZH[] = "\xe4\xb8\xad\xe6\x96\x87";
static const char STR_ENGLISH_ZH[] = "\xe8\x8b\xb1\xe6\x96\x87";
static const char STR_NO_GPS_ZH[] = "\xe6\x97\xa0 GPS";
static const char STR_GPS_OFF_ZH[] = "GPS \xe5\xb7\xb2\xe5\x85\xb3\xe9\x97\xad";
static const char STR_GPS_NOT_PRESENT_ZH[] = "GPS \xe4\xb8\x8d\xe5\xad\x98\xe5\x9c\xa8";
static const char STR_GPS_IS_DISABLED_ZH[] = "GPS \xe5\xb7\xb2\xe7\xa6\x81\xe7\x94\xa8";
static const char STR_NODE_ZH[] = "\xe8\x8a\x82\xe7\x82\xb9";
static const char STR_HOP_ZH[] = "\xe8\xb7\xb3\xe6\x95\xb0:";
static const char STR_USB_ZH[] = "USB";
static const char STR_BT_OFF_ZH[] = "\xe8\x93\x9d\xe7\x89\x99\xe5\xb7\xb2\xe5\x85\xb3";
static const char STR_WIFI_ZH[] = "WiFi";
static const char STR_WIFI_NOT_CONNECTED_ZH[] = "WiFi: \xe6\x9c\xaa\xe8\xbf\x9e\xe6\x8e\xa5";
static const char STR_WIFI_CONNECTED_ZH[] = "WiFi: \xe5\xb7\xb2\xe8\xbf\x9e\xe6\x8e\xa5";
static const char STR_SSID_ZH[] = "SSID:";
static const char STR_LORA_INFO_ZH[] = "LoRa \xe4\xbf\xa1\xe6\x81\xaf";
static const char STR_LORA_ZH[] = "LoRa";
static const char STR_ROLE_ZH[] = "\xe8\xa7\x92\xe8\x89\xb2:";
static const char STR_FREQ_ZH[] = "\xe9\xa2\x91\xe7\x8e\x87:";
static const char STR_CHUTIL_ZH[] = "\xe4\xbf\xa1\xe9\x81\x93\xe5\x88\xa9\xe7\x94\xa8";
static const char STR_SYSTEM_ZH[] = "\xe7\xb3\xbb\xe7\xbb\x9f";
static const char STR_HEAP_ZH[] = "\xe5\xa0\x86:";
static const char STR_PSRAM_ZH[] = "PSRAM:";
static const char STR_FLASH_ZH[] = "Flash:";
static const char STR_SD_ZH[] = "SD:";
static const char STR_VER_ZH[] = "\xe7\x89\x88\xe6\x9c\xac:";
static const char STR_UP_ZH[] = "\xe8\xbf\x90\xe8\xa1\x8c:";
static const char STR_CLIENT_APP_ZH[] = "\xe5\xae\xa2\xe6\x88\xb7\xe7\xab\xaf";
static const char STR_NO_CONNECTED_ZH[] = "\xe6\x9c\xaa\xe8\xbf\x9e\xe6\x8e\xa5";
static const char STR_LOCKED_ZH[] = "\xe5\xb7\xb2\xe9\x94\x81\xe5\xae\x9a";
static const char STR_CONNECT_TO_UNLOCK_ZH[] = "\xe8\xbf\x9e\xe6\x8e\xa5\xe4\xbb\xa5\xe8\xa7\xa3\xe9\x94\x81";
static const char STR_BATTERY_ZH[] = "\xe7\x94\xb5\xe6\xb1\xa0";
static const char STR_RESUMING_ZH[] = "\xe6\xad\xa3\xe5\x9c\xa8\xe6\x81\xa2\xe5\xa4\x8d...";
static const char STR_LAST_HEARD_ZH[] = "\xe6\x9c\x80\xe5\x90\x8e\xe5\x90\xac\xe5\x88\xb0";
static const char STR_HOPS_SIG_ZH[] = "\xe8\xb7\xb3\xe6\x95\xb0/\xe4\xbf\xa1\xe5\x8f\xb7";
static const char STR_HOPS_SIGNAL_ZH[] = "\xe8\xb7\xb3\xe6\x95\xb0/\xe4\xbf\xa1\xe5\x8f\xb7";
static const char STR_NODES_ZH[] = "\xe8\x8a\x82\xe7\x82\xb9";
static const char STR_DISTANCE_ZH[] = "\xe8\xb7\x9d\xe7\xa6\xbb";
static const char STR_BEARINGS_ZH[] = "\xe6\x96\xb9\xe4\xbd\x8d";
static const char STR_CREATING_SSL_ZH[] = "\xe6\xad\xa3\xe5\x9c\xa8\xe5\x88\x9b\xe5\xbb\xba SSL \xe8\xaf\x81\xe4\xb9\xa6";
static const char STR_PLEASE_WAIT_ZH[] = "\xe8\xaf\xb7\xe7\xa8\x8d\xe5\x80\x99 . . .";
static const char STR_CRITICAL_FAULT_ZH[] = "\xe4\xb8\xa5\xe9\x87\x8d\xe6\x95\x85\xe9\x9a\x9c";
static const char STR_FOR_HELP_VISIT_ZH[] = "\xe8\xaf\xb7\xe8\xae\xbf\xe9\x97\xae\x4ee5\xb8\xae\xe5\x8a\xa9";
static const char STR_UPDATING_ZH[] = "\xe6\xad\xa3\xe5\x9c\xa8\xe6\x9b\xb4\xe6\x96\xb0";
static const char STR_PLEASE_BE_PATIENT_ZH[] = "\xe8\xaf\xb7\xe8\x80\x90\xe5\xbf\x83\xe7\xad\x89\xe5\xbe\x85\xef\xbc\x8c\xe4\xb8\x8d\xe8\xa6\x81\xe5\x85\xb3\xe9\x97\xad\xe7\x94\xb5\xe6\xba\x90\xe3\x80\x82";
static const char STR_REBOOT_IN_PROGRESS_ZH[] = "\xe6\xad\xa3\xe5\x9c\xa8\xe9\x87\x8d\xe5\x90\xaf...";
static const char STR_POWER_MENU_ZH[] = "\xe7\x94\xb5\xe6\xba\x90";
static const char STR_SYSTEM_MENU_ZH[] = "\xe7\xb3\xbb\xe7\xbb\x9f";
static const char STR_SCREEN_OPTIONS_ZH[] = "\xe5\xb1\x8f\xe5\xb9\x95";
static const char STR_WIFI_TOGGLE_ZH[] = "WiFi";
static const char STR_BLUETOOTH_TOGGLE_ZH[] = "\xe8\x93\x9d\xe7\x89\x99";
static const char STR_NODE_DB_RESET_ZH[] = "\xe9\x87\x8d\xe7\xbd\xae\xe8\x8a\x82\xe7\x82\xb9\xe5\xba\x93";
static const char STR_MANAGE_NODE_ZH[] = "\xe7\xae\xa1\xe7\x90\x86\xe8\x8a\x82\xe7\x82\xb9";
static const char STR_REMOVE_FAVORITE_ZH[] = "\xe5\x8f\x96\xe6\xb6\x88\xe6\x94\xb6\xe8\x97\x8f";
static const char STR_ADD_FAVORITE_ZH[] = "\xe6\xb7\xbb\xe5\x8a\xa0\xe6\x94\xb6\xe8\x97\x8f";
static const char STR_TEST_MENU_ZH[] = "\xe6\xb5\x8b\xe8\xaf\x95";
static const char STR_TRACE_ROUTE_ZH[] = "\xe8\xb7\xaf\xe7\x94\xb1\xe8\xbf\xbd\xe8\xb8\xaa";
static const char STR_THROTTLE_MSG_ZH[] = "\xe6\xb6\x88\xe6\x81\xaf\xe5\xb7\xb2\xe9\x99\x90\xe6\xb5\x81";
static const char STR_MSG_VIEW_MODE_ZH[] = "\xe6\x9f\xa5\xe7\x9c\x8b\xe6\xa8\xa1\xe5\xbc\x8f";
static const char STR_DELETE_MESSAGES_ZH[] = "\xe5\x88\xa0\xe9\x99\xa4\xe6\xb6\x88\xe6\x81\xaf";
static const char STR_NODE_NAME_LENGTH_ZH[] = "\xe5\x90\x8d\xe7\xa7\xb0\xe9\x95\xbf\xe5\xba\xa6";
static const char STR_GPS_MENU_ZH[] = "GPS";
static const char STR_GPS_TOGGLE_ZH[] = "GPS \xe5\xbc\x80\xe5\x85\xb3";
static const char STR_GPS_FORMAT_ZH[] = "GPS \xe6\xa0\xbc\xe5\xbc\x8f";
static const char STR_GPS_SMART_POS_ZH[] = "\xe6\x99\xba\xe8\x83\xbd\xe5\xae\x9a\xe4\xbd\x8d";
static const char STR_GPS_UPDATE_INTERVAL_ZH[] = "\xe6\x9b\xb4\xe6\x96\xb0\xe9\x97\xb4\xe9\x9a\x94";
static const char STR_GPS_POS_BCAST_ZH[] = "\xe4\xbd\x8d\xe7\xbd\xae\xe5\xb9\xbf\xe6\x92\xad";
static const char STR_COMPASS_NORTH_ZH[] = "\xe6\x8c\x87\xe5\x8d\x97\xe9\x92\x88";
static const char STR_BUZZER_MODE_ZH[] = "\xe8\x9c\x82\xe9\xb8\xa3\xe5\x99\xa8";
static const char STR_HAM_MODE_ZH[] = "Ham \xe6\xa8\xa1\xe5\xbc\x8f";
static const char STR_LICENSED_NORMAL_ZH[] = "\xe6\x99\xae\xe9\x80\x9a\xe6\xa8\xa1\xe5\xbc\x8f";
static const char STR_KEY_VERIFY_ZH[] = "\xe9\xaa\x8c\xe8\xaf\x81\xe5\xaf\x86\xe9\x92\xa5";
static const char STR_REGION_UNSET_ZH[] = "\xe8\xaf\xb7\xe9\x80\x89\xe6\x8b\xa9\xe5\x9c\xb0\xe5\x8c\xba";
static const char STR_SELECT_REGION_ZH[] = "\xe8\xaf\xb7\xe9\x80\x89\xe6\x8b\xa9\xe6\x82\xa8\xe7\x9a\x84 LoRa \xe5\x8c\xba\xe5\x9f\x9f:";
static const char STR_REBOOTING_ZH[] = "\xe6\xad\xa3\xe5\x9c\xa8\xe9\x87\x8d\xe5\x90\xaf...";

inline const char *getStringZH(StringKey key)
{
    switch (key) {
    case StringKey::Back:
        return STR_BACK_ZH;
    case StringKey::OK:
        return STR_OK_ZH;
    case StringKey::GotIt:
        return STR_GOT_IT_ZH;
    case StringKey::WelcomeToMeshtastic:
        return STR_WELCOME_TO_MESHTASTIC_ZH;
    case StringKey::SwipeToNavigate:
        return STR_SWIPE_TO_NAVIGATE_ZH;
    case StringKey::ClickToNavigate:
        return STR_CLICK_TO_NAVIGATE_ZH;
    case StringKey::UseSelectButton:
        return STR_USE_SELECT_BUTTON_ZH;
    case StringKey::DeviceRole:
        return STR_DEVICE_ROLE_ZH;
    case StringKey::RadioPreset:
        return STR_RADIO_PRESET_ZH;
    case StringKey::FrequencySlot:
        return STR_FREQUENCY_SLOT_ZH;
    case StringKey::LoRaRegion:
        return STR_LORA_REGION_ZH;
    case StringKey::Client:
        return STR_CLIENT_ZH;
    case StringKey::ClientMute:
        return STR_CLIENT_MUTE_ZH;
    case StringKey::LostAndFound:
        return STR_LOST_AND_FOUND_ZH;
    case StringKey::Tracker:
        return STR_TRACKER_ZH;
    case StringKey::Hour12:
        return STR_12HOUR_ZH;
    case StringKey::Hour24:
        return STR_24HOUR_ZH;
    case StringKey::ClockAction:
        return STR_CLOCK_ACTION_ZH;
    case StringKey::ClockFace:
        return STR_CLOCK_FACE_ZH;
    case StringKey::TimeFormat:
        return STR_TIME_FORMAT_ZH;
    case StringKey::Timezone:
        return STR_TIMEZONE_ZH;
    case StringKey::MessageAction:
        return STR_MESSAGE_ACTION_ZH;
    case StringKey::Reply:
        return STR_REPLY_ZH;
    case StringKey::ViewChats:
        return STR_VIEW_CHATS_ZH;
    case StringKey::UnmuteChannel:
        return STR_UNMUTE_CHANNEL_ZH;
    case StringKey::MuteChannel:
        return STR_MUTE_CHANNEL_ZH;
    case StringKey::Delete:
        return STR_DELETE_ZH;
    case StringKey::ReadAloud:
        return STR_READ_ALOUD_ZH;
    case StringKey::Brightness:
        return STR_BRIGHTNESS_ZH;
    case StringKey::FrameVisibility:
        return STR_FRAME_VISIBILITY_ZH;
    case StringKey::DisplayUnits:
        return STR_DISPLAY_UNITS_ZH;
    case StringKey::MessageBubbles:
        return STR_MESSAGE_BUBBLES_ZH;
    case StringKey::Theme:
        return STR_THEME_ZH;
    case StringKey::Reboot:
        return STR_REBOOT_ZH;
    case StringKey::Shutdown:
        return STR_SHUTDOWN_ZH;
    case StringKey::SwitchToMUI:
        return STR_SWITCH_TO_MUI_ZH;
    case StringKey::DisplayOptions:
        return STR_DISPLAY_OPTIONS_ZH;
    case StringKey::Language:
        return STR_LANGUAGE_ZH;
    case StringKey::Chinese:
        return STR_CHINESE_ZH;
    case StringKey::English:
        return STR_ENGLISH_ZH;
    case StringKey::NoGPS:
        return STR_NO_GPS_ZH;
    case StringKey::GPSoff:
        return STR_GPS_OFF_ZH;
    case StringKey::GPSnotPresent:
        return STR_GPS_NOT_PRESENT_ZH;
    case StringKey::GPSisDisabled:
        return STR_GPS_IS_DISABLED_ZH;
    case StringKey::Node:
        return STR_NODE_ZH;
    case StringKey::Hop:
        return STR_HOP_ZH;
    case StringKey::USB:
        return STR_USB_ZH;
    case StringKey::BT_off:
        return STR_BT_OFF_ZH;
    case StringKey::WiFi:
        return STR_WIFI_ZH;
    case StringKey::WiFiNotConnected:
        return STR_WIFI_NOT_CONNECTED_ZH;
    case StringKey::WiFiConnected:
        return STR_WIFI_CONNECTED_ZH;
    case StringKey::SSID:
        return STR_SSID_ZH;
    case StringKey::LoRaInfo:
        return STR_LORA_INFO_ZH;
    case StringKey::LoRa:
        return STR_LORA_ZH;
    case StringKey::Role:
        return STR_ROLE_ZH;
    case StringKey::Freq:
        return STR_FREQ_ZH;
    case StringKey::ChUtil:
        return STR_CHUTIL_ZH;
    case StringKey::System:
        return STR_SYSTEM_ZH;
    case StringKey::Heap:
        return STR_HEAP_ZH;
    case StringKey::PSRAM:
        return STR_PSRAM_ZH;
    case StringKey::Flash:
        return STR_FLASH_ZH;
    case StringKey::SD:
        return STR_SD_ZH;
    case StringKey::Ver:
        return STR_VER_ZH;
    case StringKey::Up:
        return STR_UP_ZH;
    case StringKey::ClientApp:
        return STR_CLIENT_APP_ZH;
    case StringKey::NoConnected:
        return STR_NO_CONNECTED_ZH;
    case StringKey::LOCKED:
        return STR_LOCKED_ZH;
    case StringKey::ConnectToUnlock:
        return STR_CONNECT_TO_UNLOCK_ZH;
    case StringKey::Battery:
        return STR_BATTERY_ZH;
    case StringKey::Resuming:
        return STR_RESUMING_ZH;
    case StringKey::LastHeard:
        return STR_LAST_HEARD_ZH;
    case StringKey::HopsSig:
        return STR_HOPS_SIG_ZH;
    case StringKey::HopsSignal:
        return STR_HOPS_SIGNAL_ZH;
    case StringKey::Nodes:
        return STR_NODES_ZH;
    case StringKey::Distance:
        return STR_DISTANCE_ZH;
    case StringKey::Bearings:
        return STR_BEARINGS_ZH;
    case StringKey::CreatingSSLCert:
        return STR_CREATING_SSL_ZH;
    case StringKey::PleaseWait:
        return STR_PLEASE_WAIT_ZH;
    case StringKey::CriticalFault:
        return STR_CRITICAL_FAULT_ZH;
    case StringKey::ForHelpVisit:
        return STR_FOR_HELP_VISIT_ZH;
    case StringKey::Updating:
        return STR_UPDATING_ZH;
    case StringKey::PleaseBePatient:
        return STR_PLEASE_BE_PATIENT_ZH;
    case StringKey::RebootInProgress:
        return STR_REBOOT_IN_PROGRESS_ZH;
    case StringKey::PowerMenu:
        return STR_POWER_MENU_ZH;
    case StringKey::SystemMenu:
        return STR_SYSTEM_MENU_ZH;
    case StringKey::ScreenOptions:
        return STR_SCREEN_OPTIONS_ZH;
    case StringKey::WifiToggle:
        return STR_WIFI_TOGGLE_ZH;
    case StringKey::BluetoothToggle:
        return STR_BLUETOOTH_TOGGLE_ZH;
    case StringKey::NodeDbReset:
        return STR_NODE_DB_RESET_ZH;
    case StringKey::ManageNode:
        return STR_MANAGE_NODE_ZH;
    case StringKey::RemoveFavorite:
        return STR_REMOVE_FAVORITE_ZH;
    case StringKey::AddFavorite:
        return STR_ADD_FAVORITE_ZH;
    case StringKey::TestMenu:
        return STR_TEST_MENU_ZH;
    case StringKey::TraceRoute:
        return STR_TRACE_ROUTE_ZH;
    case StringKey::ThrottleMessage:
        return STR_THROTTLE_MSG_ZH;
    case StringKey::MessageViewMode:
        return STR_MSG_VIEW_MODE_ZH;
    case StringKey::DeleteMessages:
        return STR_DELETE_MESSAGES_ZH;
    case StringKey::NodeNameLength:
        return STR_NODE_NAME_LENGTH_ZH;
    case StringKey::GPSMenu:
        return STR_GPS_MENU_ZH;
    case StringKey::GPSToggle:
        return STR_GPS_TOGGLE_ZH;
    case StringKey::GPSFormat:
        return STR_GPS_FORMAT_ZH;
    case StringKey::GPSSmartPosition:
        return STR_GPS_SMART_POS_ZH;
    case StringKey::GPSUpdateInterval:
        return STR_GPS_UPDATE_INTERVAL_ZH;
    case StringKey::GPSPositionBroadcast:
        return STR_GPS_POS_BCAST_ZH;
    case StringKey::CompassNorth:
        return STR_COMPASS_NORTH_ZH;
    case StringKey::BuzzerMode:
        return STR_BUZZER_MODE_ZH;
    case StringKey::HamModeConfirm:
        return STR_HAM_MODE_ZH;
    case StringKey::LicensedToNormal:
        return STR_LICENSED_NORMAL_ZH;
    case StringKey::KeyVerification:
        return STR_KEY_VERIFY_ZH;
    case StringKey::RegionUnset:
        return STR_REGION_UNSET_ZH;
    case StringKey::SelectRegionMessage:
        return STR_SELECT_REGION_ZH;
    case StringKey::Rebooting:
        return STR_REBOOTING_ZH;
    default:
        return "?";
    }
}

} // namespace l10n
} // namespace meshtastic
